/* -*- c++ -*- */
/* 
 * Copyright 2017 <+YOU OR YOUR COMPANY+>.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */


#ifndef INCLUDED_ASHTUM_FLL_H
#define INCLUDED_ASHTUM_FLL_H

#include <ashtum/api.h>
#include <gnuradio/sync_block.h>
#include <gnuradio/blocks/control_loop.h>

namespace gr {
  namespace ashtum {

    /*!
     * \brief <+description of block+>
     * \ingroup ashtum
     *
     */
    class ASHTUM_API fll : virtual public gr::sync_block,
        virtual public blocks::control_loop
    {
     public:
      typedef boost::shared_ptr<fll> sptr;

      /*!
       * \brief Return a shared_ptr to a new instance of ashtum::fll.
       *
       * To avoid accidental use of raw pointers, ashtum::fll's
       * constructor is in a private implementation
       * class. ashtum::fll::make is the public interface for
       * creating new instances.
       */
      static sptr make();
    };

  } // namespace ashtum
} // namespace gr

#endif /* INCLUDED_ASHTUM_FLL_H */

